package de.arindy.mythodea.api

import jakarta.inject.Inject
import jakarta.ws.rs.GET
import jakarta.ws.rs.Path
import jakarta.ws.rs.Produces
import jakarta.ws.rs.QueryParam
import jakarta.ws.rs.core.MediaType
import java.util.*

@Path("/")
class GreetingResource @Inject constructor(var repository: Repository) {

    @GET
    @Path("from")
    @Produces(MediaType.APPLICATION_JSON)
    fun date(@QueryParam("time") time: Long = System.currentTimeMillis()) = mitrasperan(Date(time))
}
